RankSharkDocs
Reports

Email a saved report now

RankShark TrackScopetrack:reports

POST
/v1/track/reports/{id}/send

To the report's recipients (its schedule's, else its business's), or to to: only addresses this workspace already uses (the report's or its business's recipients, the workspace's and its members' emails), at most 20. Up to 30 manual sends an hour per workspace.

Scope: track:reports.

Authorization

headerAuthorizationBearer <rstk_… API key or OAuth access token>

A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API

Path Parameters

id*string

Report id (rp_…). A malformed id is 404 not_found.

Match^rp_[A-Za-z0-9]{10,40}$

Request Body

application/json
  1. body
to?array<>

Addresses (default: the report's recipients); only addresses this workspace already uses, at most 20

Itemsitems <= 20

Response Body

OK

application/json
  1. response
ok*boolean
to*array<string>

Who it was sent to

Example Request
curl -X POST 'https://panel.rankshark.io/v1/track/reports/rp_7Tb2Xc9Mv4LdWs/send' \  -H 'Content-Type: application/json' \  -d '{  "to": [    "[email protected]"  ]}'
Example Response
{  "ok": true,  "to": [    "[email protected]"  ]}